package agilpizza.servlet;

import java.io.IOException;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import agilpizza.dao.ProdutoDAO;
import agilpizza.modelo.Ingrediente;

public class PrecoDosIngredientesServlet extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		ServletContext context = this.getServletContext();
		ProdutoDAO produtoDAO;		
		
		String novoPreco = req.getParameter("Preco");
		String nomeDoIngrediente = req.getParameter("NomeDoIngrediente");
		
		
		
		
		if( ValidacaoUtil.isVazio(novoPreco) || !ValidacaoUtil.isNumero(novoPreco) || Double.parseDouble(novoPreco) < 0  ){
			req.getSession().setAttribute("mensagem", "O preço deve ser um número válido !");
			resp.sendRedirect("erro.jsp");
			return;
		}
				
		
		produtoDAO = (ProdutoDAO) context.getAttribute("produtos");
		
		Ingrediente objIngrediente = produtoDAO.buscaIngrediente(nomeDoIngrediente);
		 try {
			 double preco = Double.parseDouble(novoPreco);
			 objIngrediente.setPreco(preco);			 
		 } catch(Exception e) { 
			 req.getSession().setAttribute("mensagem", e.getMessage());
				resp.sendRedirect("erro.jsp");
				return;		 
		 }

		 resp.sendRedirect("ingredientes.jsp");
		
		
	}

	@Override
	protected void doPost(HttpServletRequest arg0, HttpServletResponse arg1) throws ServletException, IOException {
		this.doGet(arg0, arg1);
		
	}

	private static final long serialVersionUID = -3094124380330498320L;


}
